Auto Multiple Choice - Feature # 791: [info] Packaging AMC on Nix/NixOS

Status: Closed Priority: Normal
Author: Thibault P Category:
Created: 10/27/2021 Assignee:
Updated: 11/05/2021 Due date:
Description: AMC has been packaged for Nix/NixOS, and has been submitted as a PR:

https://github.com/NixOS/nixpkgs/pull/143160

Maybe it would be nice to add a page to the site with Nix(OS) installation instructions, but not before, of
course, the package reaches unstable.

Because of the way Nix works (no HFS), it's less easy to expose the .sty file to the latex install than on other
systems. There are instructions on the package, but | think I'll also add a simple wrapper, say
@latex-with-amc@ or something, to run arbitrary program with TEXINPUTS extended with the path to
@automultiplechoice.sty@.

History

10/28/2021 09:26 am - Alexis Bienveniie

> but not before, of course, the package reaches unstable.

Please tell us when this will be the case.

> There are instructions on the package, but | think I'll also add a simple wrapper, say latex-with-amc or something
Maybe you can add a wiki page for Nix, and I'll make a link from the website to it.

11/04/2021 05:34 pm - Thibault P

> Please tell us when this will be the case.

AMC is now on NixOS unstable. It doubt it will be part of the 21.11 stable release due this month, so its first stable will probably be 22.05 (versions are
YY.MM)

> Maybe you can add a wiki page for Nix, and I'll make a link from the website to it.

Will do when | find the time, hopefully this or next week.

11/05/2021 09:01 am - Alexis Bienveniie

- Status changed from New to In Progress

Great!

11/05/2021 11:28 am - Thibault P

Wiki page is here: https://project.auto-multiple-choice.net/projects/auto-multiple-choice/wiki/Installing_ AMC_with_Nix

11/05/2021 10:11 pm - Alexis Bienveniie
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Excellent: thanks!
